
// src/storage/index.js
let Storage = null;

export async function initStorage() {
  if (Storage) return Storage;
  if (window.Capacitor) {
    const mod = await import('../storage.native.js');
    Storage = mod.default;
  } else {
    const mod = await import('../storage.web.js');
    Storage = mod.default;
  }
  window.Storage = Storage;
  return Storage;
}
